Package org.eclipse.mat.ui.editor

# Class AbstractPaneJob

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.core.internal.jobs.InternalJob
org.eclipse.core.runtime.jobs.Job
org.eclipse.mat.ui.editor.AbstractPaneJob

All Implemented Interfaces:
  `Comparable<org.eclipse.core.internal.jobs.InternalJob>`, `IAdaptable`

public abstract class AbstractPaneJob extends Job

## Field Summary

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

## Constructor Summary

Constructors
Constructor
Description
`AbstractPaneJob(String name, AbstractEditorPane pane)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`belongsTo(Object family)`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, cancel, create, create, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractPaneJob

public AbstractPaneJob(String name, AbstractEditorPane pane)

## Method Details

### belongsTo

public boolean belongsTo(Object family)

Overrides:
  `belongsTo` in class `Job`